Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.util.ms
Class BlockInputStream

    java.lang.Object
      java.io.InputStream
          org.archive.io.SeekInputStream
              org.archive.util.ms.BlockInputStream

All Implemented Interfaces:
  it.unimi.dsi.fastutil.io.RepositionableStream, java.io.Closeable

    public class BlockInputStream

extends SeekInputStream

InputStream for a file contained in a BlockFileSystem.

Constructor Summary
`BlockInputStream(BlockFileSystem bfs, int block)` Constructor.

Method Summary
`long` | `position()`
`void` | `position(long v)`
`int` | `read()`
`int` | `read(byte[] b)`
`int` | `read(byte[] b, int ofs, int len)`
`long` | `skip(long v)`

Methods inherited from class org.archive.io.SeekInputStream
`mark, markSupported, reset`

Methods inherited from class java.io.InputStream
`available, close`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlockInputStream

    public BlockInputStream(BlockFileSystem bfs,
                            int block)
                     throws java.io.IOException

  Constructor.

  Parameters:
    `bfs` - The block file system that owns this stream
    `block` - The starting block number.
  Throws:
    `java.io.IOException`

Method Detail

### skip

    public long skip(long v)
              throws java.io.IOException

  Overrides:
    `skip` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int ofs,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### position

    public long position()

### position

    public void position(long v)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.